Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASQ4

    java.lang.Object
      org.netlib.lapack.SLASQ4

    public class SLASQ4

extends java.lang.Object

    SLASQ4 is a simplified interface to the JLAPACK routine slasq4.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ4 computes an approximation TAU to the smallest eigenvalue
     *  using values of d from the previous transform.
     *
     *  I0    (input) INTEGER
     *        First index.
     *
     *  N0    (input) INTEGER
     *        Last index.
     *
     *  Z     (input) REAL array, dimension ( 4*N )
     *        Z holds the qd array.
     *
     *  PP    (input) INTEGER
     *        PP=0 for ping, PP=1 for pong.
     *
     *  N0IN  (input) INTEGER
     *        The value of N0 at start of EIGTEST.
     *
     *  DMIN  (input) REAL
     *        Minimum value of d.
     *
     *  DMIN1 (input) REAL
     *        Minimum value of d, excluding D( N0 ).
     *
     *  DMIN2 (input) REAL
     *        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
     *
     *  DN    (input) REAL
     *        d(N)
     *
     *  DN1   (input) REAL
     *        d(N-1)
     *
     *  DN2   (input) REAL
     *        d(N-2)
     *
     *  TAU   (output) REAL
     *        This is the shift.
     *
     *  TTYPE (output) INTEGER
     *        Shift type.
     *
     *  Further Details
     *  ===============
     *  CNST1 = 9/16
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASQ4()`

Method Summary
`static void` | `SLASQ4(int i0, int n0, float[] z, int pp, int n0in, float dmin, float dmin1, float dmin2, float dn, float dn1, float dn2, floatW tau, intW ttype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASQ4

    public SLASQ4()

Method Detail

### SLASQ4

    public static void SLASQ4(int i0,
                              int n0,
                              float[] z,
                              int pp,
                              int n0in,
                              float dmin,
                              float dmin1,
                              float dmin2,
                              float dn,
                              float dn1,
                              float dn2,
                              floatW tau,
                              intW ttype)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD